[![pipeline status](https://gitlab.wfschmitt.net/harman/trop/badges/master/pipeline.svg)](https://gitlab.wfschmitt.net/harman/trop/commits/master)


[![coverage report](https://gitlab.wfschmitt.net/harman/trop/badges/master/coverage.svg)](https://gitlab.wfschmitt.net/harman/trop/commits/master)

# Description goes here.

## Contributing to trop
 
* Check out the latest master to make sure the feature hasn't been implemented or the bug hasn't been fixed yet.
* Check out the issue tracker to make sure someone already hasn't requested it and/or contributed it.
* Fork the project.
* Start a feature/bugfix branch.
* Commit and push until you are happy with your contribution.
* Make sure to add tests for it. This is important so I don't break it in a future version unintentionally.
* Please try not to mess with the Rakefile, version, or history. If you want to have your own version, or is otherwise necessary, that is fine, but please isolate to its own commit so I can cherry-pick around it.

## Copyright

Copyright (c) 2019 werner. See LICENSE.txt for
further details.

rake targets



| rake                                       | target                                                                                        |
|:-------------------------------------------|:----------------------------------------------------------------------------------------------|
| `rake build`                               | Build trop-0.0.2.gem into the pkg directory / Build gem into pkg/                             |
| `rake clean`                               | Remove any temporary products                                                                 |
| `rake clobber`                             | Remove any generated files                                                                    |
| `rake clobber_rdoc`                        | Remove RDoc HTML files                                                                        |
| `rake console[script]`                     | Start IRB with all runtime dependencies loaded                                                |
| `rake default`                             |                                                                                               |
| `rake gemcutter:release`                   | Release gem to Gemcutter                                                                      |
| `rake gemspec`                             | Generate and validate gemspec                                                                 |
| `rake gemspec:debug`                       | Display the gemspec for debugging purposes, as jeweler knows it (not from the filesystem)`    |
| `rake gemspec:generate`                    | Regenerate the gemspec on the filesystem                                                      |
| rake gemspec:release                       | Regenerate and validate gemspec, and then commits and pushes to git                           |
| rake gemspec:validate                      | Validates the gemspec on the filesystem                                                       |
| rake gemspec_required                      | |
| rake git:release                           | Tag and push release to git                                                                   |
| rake install                               | Build and install trop-0.0.2.gem into system gems / Build and install gem using `gem install` |
| rake install:local                         | Build and install trop-0.0.2.gem into system gems without network access                      |
| rake rdoc                                  | Build RDoc HTML files                                                                         |
| rake rdoc/index.html                       |                                                                                               |
| `rake release[remote]`                     | Create tag v0.0.2 and build and push trop-0.0.2.gem to rubygems.org / Release gem             |
| rake release:guard_clean                   |                                                                                               |
| rake release:rubygem_push                  |                                                                                               |
| `rake release:source_control_push[remote]` |                                                                                               |
| rake rerdoc                                | Rebuild RDoc HTML files                                                                       |
| rake simplecov                             | Code coverage detail                                                                          |
| rake test                                  | Run tests                                                                                     |
| rake version                               | Displays the current version                                                                  |
| rake version:bump:major                    | Bump the major version by 1                                                                   |
| rake version:bump:minor                    | Bump the a minor version by 1                                                                 |
| rake version:bump:patch                    | Bump the patch version by 1                                                                   |
| rake version:write                         | Writes out an explicit version                                                                |
| rake version_required                      |                                                                                               |
----------- ----------------------------  
